Bug 9797 - tdb-utils конфиктирует по файлам с samba-common
Summary: tdb-utils конфиктирует по файлам с samba-common
Status: CLOSED WONTFIX
Alias: None
Product: Sisyphus
Classification: Development
Component: tdb-utils (show other bugs)
Version: unstable
Hardware: all Linux
: P2 normal
Assignee: Andrey Cherepanov
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-20 19:27 MSD by Igor Zubkov
Modified: 2008-09-11 03:28 MSD (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Zubkov 2006-07-20 19:27:48 MSD
Вот лог к размышлению:

[icesik@iceberg ~]$ sudo apt-get install libtdb libtdb-devel tdb-utils
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Следующие НОВЫЕ пакеты будут установлены:
  libtdb libtdb-devel tdb-utils
0 будет обновлено, 3 новых установлено, 0 пакетов будет удалено и 162 не будет 
обновлено.
Необходимо получить 49,1kB архивов.
После распаковки потребуется дополнительно 80,9kB дискового пространства.
Получено: 1 ftp://ftp.altlinux.org i586/classic libtdb 1.0.6-alt3 [27,3kB]
Получено: 2 ftp://ftp.altlinux.org i586/classic libtdb-devel 1.0.6-alt3 
[13,2kB]
Получено: 3 ftp://ftp.altlinux.org i586/classic tdb-utils 1.0.6-alt3 [8594B]
Получено 49,1kB за 16s (2935B/s).
Совершаем изменения...
Preparing...                 
######################################################################### 
[100%]
file /usr/bin/tdbdump from install of tdb-utils-1.0.6-alt3 conflicts with file 
from package samba-common-3.0.21c-alt1
file /usr/bin/tdbtool from install of tdb-utils-1.0.6-alt3 conflicts with file 
from package samba-common-3.0.21c-alt1
E: Ошибка во время исполнения транзакции
[icesik@iceberg ~]$
Comment 1 Alexander Bokovoy 2008-07-19 17:09:33 MSD
Пакеты libtdb*, tdb-utils необходимо удалить из репозитария. Авторитативным источником TDB является исходный код Samba. 

Позже в Сизифе появятся обновленные версии TDB, когда будет осуществляться сборка Samba 3.2, однако до сих пор между версиями TDB, Talloc и ldb в 3.0, 3.2, 4.0 и 3.2-ctdb есть функциональные различия, поэтому выделенный пакет не нужен.
Comment 2 Michael Shigorin 2008-07-20 13:19:48 MSD
Сообщи об этом incoming@?